# Module `wibox.widget.background`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

draw (wibox, cr, width, height) | Draw this widget
fit (width, height) | Fit this widget into the given area
set_widget (widget) | Set the widget that is drawn on top of the background
set_bg (bg) | Set the background to use
set_fg (fg) | Set the foreground to use
set_bgimage (image) | Set the background image to use

## Functions

draw (wibox, cr, width, height)
  Draw this widget

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (width, height)
  Fit this widget into the given area

  ### Parameters:

  - width
  - height
set_widget (widget)
  Set the widget that is drawn on top of the background

  ### Parameters:

  - widget
set_bg (bg)
  Set the background to use

  ### Parameters:

  - bg
set_fg (fg)
  Set the foreground to use

  ### Parameters:

  - fg
set_bgimage (image)
  Set the background image to use

  ### Parameters:

  - image

generated by LDoc 1.4.2